#include <bits/stdc++.h>
using namespace std;

long long a[100009];

long long n,res=0,num,k=0,r,kol;

int main() {

    cin>>n;

    num=n-1;

    for(int i=0;i<n;i++){
        cin>>a[i];
    }

    sort(a,a+n);

    while(a[num]-k>0){
        r=num;
        kol=0;
        while(a[r]-k==a[num]-k){
            kol++;
            r--;
        }    
        
        res+=kol*(a[num]-k);
        
        k+=kol;

        num=r;
    }

    cout<<res;

}
